DL_PrivateKey< T > Class Template Referenceabstract

Interface for Discrete Log (DL) private keys. More...

Inheritance diagram for DL_PrivateKey< T >:

## Public Types

typedef T | Element

## Public Member Functions

void | MakePublicKey (DL_PublicKey< T > &pub) const
bool | GetVoidValue (const char *name, const std::type_info &valueType, void *pValue) const
void | AssignFrom (const NameValuePairs &source)
virtual const Integer & | GetPrivateExponent () const =0
virtual void | SetPrivateExponent (const Integer &x)=0
Public Member Functions inherited from DL_Key< T >
virtual const DL_GroupParameters< T > & | GetAbstractGroupParameters () const =0
| Retrieves abstract group parameters. More...
virtual DL_GroupParameters< T > & | AccessAbstractGroupParameters ()=0
| Retrieves abstract group parameters. More...

## Detailed Description

### template<class T>
class DL_PrivateKey< T >

Interface for Discrete Log (DL) private keys.

Definition at line 1053 of file pubkey.h.

The documentation for this class was generated from the following file:

- pubkey.h